import console from "cli-console";
import uglify from "uglify-js";

export default function plugin(){
	this.plugin("before-write-bundle", function(info){
		var code = info.code;
		try{
			code = uglify.minify(info.code, {
				fromString: true,
				sourceMapInline: process.env.SM,
				inSourceMap: process.env.SM ? "inline" : void 0
			}).code;
		}catch(e){
			console.error(`文件${info.file}压缩失败`);
			console.log(e);
		}
		return code;
	});
}

plugin.$name = "min";